#include <syscall.h>

#define __KERNEL__ 
#include <sys/sem.h>

static inline
_syscall5(int,ipc,int,call,int,first,int,second,int,third,void *,ptr)

int
semop (int semid, struct sembuf *sops, unsigned nsops)
{
    return ipc (SEMOP, semid, (int) nsops, 0, sops);
}
